Modern REST API for WebWork Time Tracker with OAuth2 authentication. This API provides access to workspaces, members, projects, and time tracking features.
/
Get Leave Policies
WebWork Time Tracker API V2 Documentation (2.0.0)
Overview
Languages
Servers
Production Server
https://api.webwork-tracker.com/api/v2
Manage contracts (project-member assignments) within workspaces. Contracts define which members are assigned to which projects, with settings for rates, hours limits, and screenshot modes. Rate information is only visible if you have permission to view rates and the project is billable.
Operations
Request
Retrieve all leave requests for a specific workspace. Requires workspace_id as query parameter.
Security
oauth2(Required scopes:
read
) or apiKey- Production Serverhttps://api.webwork-tracker.com/api/v2/leaves
- cURL
- JS
- Python
- PHP
- Go
- Java 8
- C#
- C++
curl -i -X GET \
'https://api.webwork-tracker.com/api/v2/leaves?workspace_id=1' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Response
application/json
{ "success": true, "data": [ { … } ], "meta": { "api_version": "2.0.0", "timestamp": "2019-08-24T14:15:22Z" } }
Bodyapplication/jsonrequired
Start time in HH:mm format. (Required when policy is hour-based)
Example: "09:00"
- Production Serverhttps://api.webwork-tracker.com/api/v2/leaves
- cURL
- JS
- Python
- PHP
- Go
- Java 8
- C#
- C++
- day-based
- hour-based
curl -i -X POST \
https://api.webwork-tracker.com/api/v2/leaves \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"workspace_id": 123,
"policy_id": 456,
"start": "2026-02-10",
"end": "2026-02-12",
"user_id": 789,
"reason": "I will be out of office for the next 2 days",
"leave_period": 1
}'Response
application/json
{ "success": true, "message": "string", "meta": { "api_version": "2.0.0", "timestamp": "2019-08-24T14:15:22Z" } }
- Production Serverhttps://api.webwork-tracker.com/api/v2/leaves/balances
- cURL
- JS
- Python
- PHP
- Go
- Java 8
- C#
- C++
curl -i -X GET \
'https://api.webwork-tracker.com/api/v2/leaves/balances?workspace_id=1' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Response
application/json
{ "success": true, "data": {}, "message": "string", "meta": { "api_version": "2.0.0", "timestamp": "2019-08-24T14:15:22Z" } }
- Production Serverhttps://api.webwork-tracker.com/api/v2/leaves/policies
- cURL
- JS
- Python
- PHP
- Go
- Java 8
- C#
- C++
curl -i -X GET \
'https://api.webwork-tracker.com/api/v2/leaves/policies?workspace_id=1' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Response
application/json
{ "success": true, "data": {}, "message": "string", "meta": { "api_version": "2.0.0", "timestamp": "2019-08-24T14:15:22Z" } }
- Production Serverhttps://api.webwork-tracker.com/api/v2/leaves/{leaveRequestId}/approve
- cURL
- JS
- Python
- PHP
- Go
- Java 8
- C#
- C++
curl -i -X PUT \
'https://api.webwork-tracker.com/api/v2/leaves/{leaveRequestId}/approve' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"workspace_id": 0
}'Response
application/json
{ "success": true, "data": {}, "message": "string", "meta": { "api_version": "2.0.0", "timestamp": "2019-08-24T14:15:22Z" } }
- Production Serverhttps://api.webwork-tracker.com/api/v2/leaves/{leaveRequestId}/reject
- cURL
- JS
- Python
- PHP
- Go
- Java 8
- C#
- C++
curl -i -X PUT \
'https://api.webwork-tracker.com/api/v2/leaves/{leaveRequestId}/reject' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"workspace_id": 0
}'Response
application/json
{ "success": true, "data": {}, "message": "string", "meta": { "api_version": "2.0.0", "timestamp": "2019-08-24T14:15:22Z" } }